Đến nội dung


Hình ảnh
- - - - -

Load Linetype bằng VBA


  • Please log in to reply
2 replies to this topic

#1 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 20 April 2011 - 12:56 AM

Mình đang làm đoạn VBA cho line type nhưng đang mắc.Cần hỗ trợ của mọi người đây
1.
Ví dụ trong bản vẽ của mình có 1 Linetype "DASHDOT" nhưng mình không biết nó thuộc "acad.lin" hay "acaiso.lin"
giờ làm sao để biết nó thuộc file "acad.lin" hay "acadiso.lin"
Nếu không biết được nó thuộc file nào thì có thể load lại cho nó thuộc 1 trong 2 file trên được không?
Đây là dòng lệnh mình load khi bản vẽ chưa có "DASHDOT"
on error resume next
ThisDrawing.Linetypes.Load "DASHDOT", "acad.lin"
Giờ muốn load lại vào "acadiso.lin" mình thử dòng lệnh sau nhưng ko đc
ThisDrawing.Linetypes.Load "DASHDOT", "acadiso.lin"
2.
ThisDrawing.SendCommand "-linetype Load center2" & Chr(10)
Cách này mình dùng phương thức sendcommand để gửi tới dòng lệnh nhưng sau dòng chr(10) không biết làm tiếp như
thể nào bởi cad xuất hiện 1 hộp thoại
Hình đã gửi
không biết làm sao để clịck vào open được?
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 20 April 2011 - 06:30 AM

Hình như k thể load 1 Linetype nếu nó trùng tên với Liinetypes đã có sẵn bạn à.Nếu bạn để ý ví dụ của CAD sẽ còn có đoạn :

If Err.Description = "Duplicate record name" Then
MsgBox "A line type named '" & linetypeName & "' already exists.", , "Load Example"
End If

Để chắc chắn có thể add linetypes từ file bạn muốn, hãy thử dùng method Delete để xoá Linetype đó trước khi load lại ^^
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 nghiautc

nghiautc

    biết lệnh copy

  • Members
  • PipPipPip
  • 112 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 24 April 2011 - 11:13 AM

Nếu bản vẽ chưa có đối tượng hay layer dùng hidden thì mình nghĩ dùng Pu là ok. Nhưng nếu đã có layer hay đối tượng mình không biết dùng
phương thức delete như thế nào bận có thể cho code phương thức delete ko.Mình cảm ơn
  • 0